# Interface ControlThemeAdapter

public interface ControlThemeAdapter
Theme adapter for `Control`s. The theme adapter provides a control with information on characteristics of its representation which depend on the current theme.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBackground(Control control)`
Returns the default background color that the specified control will use if no user-defined background color has been set using `Control.setBackground(Color)`.
`BoxDimensions`
`getBorder(Control control)`
Returns the border of the specified control.
`Font`
`getFont(Control control)`
Returns the default font that the specified control will use to paint textual information when no user-defined font has been set using `Control.setFont(Font)`.
`Color`
`getForeground(Control control)`
Returns the default foreground color that the specified control will use to draw if no user defined foreground color has been set using `Control.setForeground(Color)`.
`BoxDimensions`
`getPadding(Control control)`
Returns the padding of the specified control.

## Method Details

### getBorder

BoxDimensions getBorder(Control control)
Returns the border of the specified control.

Parameters:
  `control` - the control whose border is requested
Returns:
  the border
Since:
  3.0

### getPadding

BoxDimensions getPadding(Control control)
Returns the padding of the specified control.

Parameters:
  `control` - the control whose padding is requested
Returns:
  the padding
Since:
  3.0

### getForeground

Color getForeground(Control control)
Returns the default foreground color that the specified control will use to draw if no user defined foreground color has been set using `Control.setForeground(Color)`.

Parameters:
  `control` - the control whose foreground color is requested
Returns:
  the foreground color

### getBackground

Color getBackground(Control control)
Returns the default background color that the specified control will use if no user-defined background color has been set using `Control.setBackground(Color)`.

Parameters:
  `control` - the control whose background color is requested
Returns:
  the background color

### getFont

Font getFont(Control control)
Returns the default font that the specified control will use to paint textual information when no user-defined font has been set using `Control.setFont(Font)`.

Parameters:
  `control` - the control whose font is requested
Returns:
  the font